Bug 24260 - Apparent security hole in lpd
Summary: Apparent security hole in lpd
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 04:18 UTC by Frank Jas
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-22 10:22:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Jas 2001-01-18 04:18:42 UTC
A hacker gained root access to my system apparently via 'lpd'.
The evidence I have that 'lpd' was comprimised are two facts:

some of the original files were created with group 'lp'
the 'rootkit' scripts used by the hacker after gaining
access removed/replaced 'lpd' for no apparent reason.

I have file a report with CERT.
I have a copy of all the 'rootkit' scripts used by the hacker.

Comment 1 Daniel Roesen 2001-01-22 10:22:03 UTC
Did you update LPRng as suggested by Red Hat's security advisory issued several
months ago? See:

http://www.redhat.com/support/errata/RHSA-2000-065-06.html

Comment 2 Crutcher Dunnavant 2001-03-27 23:05:39 UTC
looks like the ramen worm or a variant. Yes, it should have been closed by the
errata.


Note You need to log in before you can comment on or make changes to this bug.